X
點擊此處開啟此網站的行動版。

技術支援討論區

How To Use Java With Firefox 43.0.4 x64 English British Version?

已張貼

Hi I'm Using Java Developer Kit 8 Update 66 And Java Runtime Environment 8 Update 66 On My Windows 10 x64 Computer.

My Installed Firefox Version Is 43.0.4 x64...

I Can't Use Java. How Can I Use Java?

Hi I'm Using Java Developer Kit 8 Update 66 And Java Runtime Environment 8 Update 66 On My Windows 10 x64 Computer. My Installed Firefox Version Is 43.0.4 x64... I Can't Use Java. How Can I Use Java?

被選擇的解決方法

The real answer is since you are using Win64 Firefox only the 64-bit Flash Player and Silverlight plugins are white listed to run.

If you want to use other Plugins with Firefox on Windows you need 32-bit Firefox and 32-bit Plugins.

從原來的回覆中察看解決方案 7

額外的系統細節

已安裝的外掛程式

  • Shockwave Flash 20.0 r0

應用程式

  • Firefox 43.0.4
  • 使用者代理:Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
  • 技術支援網址:https://support.mozilla.org/1/firefox/43.0.4/WINNT/en-GB/

擴充套件

  • Adblock Plus 2.7 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • Case Changer 2.0.0.18.1-signed (casechanger@plugin)
  • Copy Link Text 1.9.0 (copylinktext@brett.zamir)
  • Greasemonkey 3.6 ({e4a8a97b-f2ed-450b-b12d-ee082ba24781})
  • Locationbar² 1.0.6.1-signed (locationbar2@design-noir.de)

JavaScript

  • incrementalGCEnabled: True

圖形

  • adapterDescription: NVIDIA GeForce GTX 960
  • adapterDescription2:
  • adapterDeviceID: 0x1401
  • adapterDeviceID2:
  • adapterDrivers: nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
  • adapterDrivers2:
  • adapterRAM: 4095
  • adapterRAM2:
  • adapterSubsysID: 00000000
  • adapterSubsysID2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 10.0.10586.0
  • driverDate: 12-16-2015
  • driverDate2:
  • driverVersion: 10.18.13.6143
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: Yes
  • webglRenderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 960 Direct3D11 vs_5_0 ps_5_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

修改過的偏好設定

其他

  • User JS: 否
  • 輔助功能: 否
FredMcD
  • Top 10 Contributor
4274 個解決方法 59943 個答案

Java Deployment Toolkit 8.0.660.18 is disabled for security issues.

Java Deployment Toolkit 8.0.660.18 is disabled for security issues.
James
  • Top 25 Contributor
  • Moderator
1603 個解決方法 11348 個答案

選擇的解決方法

The real answer is since you are using Win64 Firefox only the 64-bit Flash Player and Silverlight plugins are white listed to run.

If you want to use other Plugins with Firefox on Windows you need 32-bit Firefox and 32-bit Plugins.

The real answer is since you are using Win64 Firefox only the 64-bit Flash Player and Silverlight plugins are white listed to run. If you want to use other Plugins with Firefox on Windows you need 32-bit Firefox and 32-bit Plugins.

有幫助的回覆

Thanks. Is there anyway to white list Java x64 as well?

Thanks. Is there anyway to white list Java x64 as well?
James
  • Top 25 Contributor
  • Moderator
1603 個解決方法 11348 個答案

The user cannot white list Plugins

The user cannot white list Plugins

有幫助的回覆

Hope Mozilla will make something for x64, So we could use Java in Firefox x64 as well. I just have a question. Can I install Java Runtime x64 and x86 both on my PC? Will that make any problem?

Hope Mozilla will make something for x64, So we could use Java in Firefox x64 as well. I just have a question. Can I install Java Runtime x64 and x86 both on my PC? Will that make any problem?
cor-el
  • Top 10 Contributor
  • Moderator
17591 個解決方法 159130 個答案
See also: *http://www.ghacks.net/2015/11/25/firefox-64-bit-to-support-microsoft-silverlight-after-all/
James
  • Top 25 Contributor
  • Moderator
1603 個解決方法 11348 個答案

https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

Mozilla may not make effort to allow other Plugin in Win64 Firefox when Mozilla intends to remove support for most NPAPI plugins in Firefox by the end of 2016.

https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/ Mozilla may not make effort to allow other Plugin in Win64 Firefox when Mozilla intends to remove support for most NPAPI plugins in Firefox by the end of 2016.

提出問題者

Ok then how people in future can use Java based web page in Mozilla?

Ok then how people in future can use Java based web page in Mozilla?
cor-el
  • Top 10 Contributor
  • Moderator
17591 個解決方法 159130 個答案
See: *https://blogs.oracle.com/java-platform-group/entry/npapi_plugin_perspectives_and_the

提出問題者

Thanks...

Thanks...
michael_gaismair 0 個解決方法 4 個答案

Hi,

You can download and use Waterfox.

It is basically a re-compile of the 32 bit code into 64 bit.

Just tried it with Oracle JRE 8U66, JRE 8U71 and JRE 8U74. All 64 bit. It seems to work.

Waterfox will however not run the 32 bit versions of the JRE and may encounter problems with other FF add ons.

I found that if you have FireFox and Waterfox installed on the same system that Waterfox uses the same profile as FireFox...

Good luck!

Hi, You can download and use Waterfox. It is basically a re-compile of the 32 bit code into 64 bit. Just tried it with Oracle JRE 8U66, JRE 8U71 and JRE 8U74. All 64 bit. It seems to work. Waterfox will however not run the 32 bit versions of the JRE and may encounter problems with other FF add ons. I found that if you have FireFox and Waterfox installed on the same system that Waterfox uses the same profile as FireFox... Good luck!